@ECHO OFF

cls
echo        Custom Model installation for ORREN_LZ by rickyD original
echo    ###-----------------by scloink and triple6s-----------------------###
ECHO,
ECHO This program will install the Custom Models for ORREN_LZ by rickyD
ECHO,
ECHO It will backup of the modelS that are currently in use for
ECHO the level. The uninstall program will
ECHO restore the backups to there original location.
ECHO, 
ECHO This install batch file should be located within your \revolt directory.
ECHO It should be run after installation of: "ORREN_LZ"
ECHO,
ECHO If you run it in any other folder the custom models will not be
ECHO installed.
ECHO,
ECHO This file is entirely benign and will not attempt to copy/move or modify
ECHO anything other than that which is necessary to install the custom
ECHO models for your "Re-Volt" game.
ECHO,
ECHO If you do not want the custom models close this window now.
ECHO,
pause
cls
ECHO Backing up existing models and appropriate files from orren_LZ
copy /y models\light1.m cmod\backup\light1bk.m
copy /y models\light2.m cmod\backup\light2bk.m
copy /y models\light3.m cmod\backup\light3bk.m
copy /y models\firework.m cmod\backup\fireworkbk.m
copy /y models\copter.m cmod\backup\copterbk.m
copy /y models\copter2.m cmod\backup\copter2bk.m
copy /y models\copter3.m cmod\backup\copter3bk.m
copy /y models\barrel.m cmod\backup\barrelbk.m
copy /y models\pickup.m cmod\backup\pickupbk.m
copy /y gfx\fxpage2.bmp cmod\backup\fxpage2bk.bmp
copy /y levels\orren_lz\orren_lz.fin catfiles\backup\orren_lzfinbk.fin
copy /y levels\orren_lz\orren_lz.fob catfiles\backup\orren_lzfobbk.fob
copy /y levels\orren_lz\orren_lz.fan catfiles\backup\orren_lzfanbk.fan
ECHO Installing Custom models and appropriate files for Orren_lz
copy /y cmod\custom\fireworknew.m models\firework.m
copy /y cmod\custom\light1new.m models\light1.m
copy /y cmod\custom\light2new.m models\light2.m
copy /y cmod\custom\light3new.m models\light3.m
copy /y cmod\custom\copternew.m models\copter.m
copy /y cmod\custom\copter2new.m models\copter2.m
copy /y cmod\custom\copter3new.m models\copter3.m
copy /y cmod\custom\pickupnew.m models\pickup.m
copy /y cmod\custom\barrelnew.m models\barrel.m
copy /y cmod\custom\fxpage2new.bmp gfx\fxpage2.bmp
copy /y cmod\custom\orren_lz.fin levels\orren_lz\orren_lz.fin
copy /y cmod\custom\orren_lz.fob levels\orren_lz\orren_lz.fob
copy /y cmod\custom\orren_lz.fan levels\orren_lz\orren_lz.fan
ECHO ........................................
ECHO Thats it!
ECHO ........................................
ECHO Happy Racing
ECHO.
